import request from "@/util/oaRequest"

// 查询家具列表
export function listFurnitureTable(query) {
  return request({
    url: '/oa/furnitureTable/list',
    method: 'get',
    params: query
  })
}

// 查询家具详细
export function getFurnitureTable(furnitureId) {
  return request({
    url: '/oa/furnitureTable/' + furnitureId,
    method: 'get'
  })
}

// 新增家具
export function addFurnitureTable(data) {
  return request({
    url: '/oa/furnitureTable',
    method: 'post',
    data: data
  })
}

// 修改家具
export function updateFurnitureTable(data) {
  return request({
    url: '/oa/furnitureTable',
    method: 'put',
    data: data
  })
}

// 删除家具
export function delFurnitureTable(furnitureId) {
  return request({
    url: '/oa/furnitureTable/' + furnitureId,
    method: 'delete'
  })
}
